Page MenuHomePhabricator

api module wbsetclaim doesn't accept the bot param
Closed, ResolvedPublic

Description

The bot flag is not accepted by wbsetclaim.


Version: unspecified
Severity: normal

Details

Reference
bz50933

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 1:57 AM
bzimport set Reference to bz50933.
bzimport added a subscriber: Unknown Object (MLST).
Addshore created this task.Jul 8 2013, 11:46 AM

Change 72509 had a related patch set uploaded by Addshore:
Adding the bot param to api wbsetclaim

https://gerrit.wikimedia.org/r/72509

Change 72509 merged by jenkins-bot:
Adding the bot param to api wbsetclaim

https://gerrit.wikimedia.org/r/72509

Verified in Wikidata demo time July 17th

aude added a comment.Aug 3 2013, 12:39 PM
  • Bug 52498 has been marked as a duplicate of this bug. ***
aude added a comment.Aug 3 2013, 12:41 PM

i see addshore's code to fix in the mw1.22-wmf11 branch which is deployed, however the issue still seems to occur.

I can reproduce it on my test wiki and on wikidata, so not totally convinced yet that this is fixed.

aude added a comment.Aug 3 2013, 1:00 PM

bot flags are not passed to ClaimSaver, so the issue still occurs

aude added a comment.Aug 3 2013, 1:05 PM

just note.... my bot can be twice as efficient if it can use SetClaim, since it can create a claim with references in one api call.

otherwise, I use wbcreateclaim and then wbsetreference.

would be really awesome to get this fixed and backported, so we don't need to wait almost a month to use setclaim :)

Change 77499 had a related patch set uploaded by Aude:
(bug 50933) pass bot flag to claim saver in wbsetclaim

https://gerrit.wikimedia.org/r/77499

Change 77513 had a related patch set uploaded by Tobias Gritschacher:
(bug 50933) pass bot flag to claim saver in wbsetclaim

https://gerrit.wikimedia.org/r/77513

Change 77513 abandoned by Tobias Gritschacher:
(bug 50933) pass bot flag to claim saver in wbsetclaim

https://gerrit.wikimedia.org/r/77513

Change 77499 merged by Tobias Gritschacher:
(bug 50933) pass bot flag to claim saver in wbsetclaim

https://gerrit.wikimedia.org/r/77499

Change 80068 had a related patch set uploaded by Aude:
(bug 50933) pass bot flag to claim saver in wbsetclaim

https://gerrit.wikimedia.org/r/80068

Change 80068 merged by jenkins-bot:
(bug 50933) pass bot flag to claim saver in wbsetclaim

https://gerrit.wikimedia.org/r/80068

Verified in Wikidata demo time